using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Permissions;
using System.Windows.Forms;
using System.Diagnostics;

namespace US.Browser.IE
{
    /// <summary>
    /// 浏览器系统功能区域
    /// </summary>
    public class Respond_setting
    {
        /// <summary>
        /// 弹出设置
        /// </summary>
        public void SetProxy()
        {
            Process _UPRD = new Process();
            _UPRD.StartInfo = new ProcessStartInfo("rundll32.exe", "shell32.dll,Control_RunDLL   inetcpl.cpl,,0");
            _UPRD.Start();
        }

        /// <summary>
        /// 删除缓存（临时文件）
        /// </summary>
        public void CleanTempFiles()
        {
            Process _UPRD = new Process();
            _UPRD.StartInfo = new ProcessStartInfo("RunDll32.exe", "InetCpl.cpl,ClearMyTracksByProcess 8");
            _UPRD.StartInfo.UseShellExecute = false;
            _UPRD.StartInfo.RedirectStandardInput = true;
            _UPRD.StartInfo.RedirectStandardOutput = true;
            _UPRD.StartInfo.RedirectStandardError = true;
            _UPRD.StartInfo.CreateNoWindow = true;
            _UPRD.Start();
        }
    }
}
